Physics Class Reference

The Physics class contains all physical parameters characterising the soil. More...

`#include <physics.hpp>`

## Public Member Functions

double | s_BC (double P)
| Brooks and Corey saturation map.
double | ds_BC (double P)
| Brooks and Corey derivative of the saturation map.
void() | s_ds_BC (double P, double &v, double &dv)
| Brooks and Corey saturation and its derivative setter.
double | kr_BC (double P)
| Brooks and Corey relative conductivity map.
double | dkr_BC (double P)
| Brooks and Corey derivative of the relative conductivity map.
void() | kr_dkr_BC (double P, double &v, double &dv)
| Brooks and Corey relative conductivity and its derivative setter.

## Public Attributes

double | g
| Gravity acceleration.
double | rho
| Fluid density.
double | phi
| Porosity of the soil.
double | k0
| Conductivity of the saturated soil.
double | nivrivsat
| Characterise the water pressure at the bottom of the overland water.
double(* | s )(double)
| Return the saturation in function of the pressure.
double(* | ds )(double)
| Return the derivtive of the saturation in function of the pressure.
void(* | s_ds )(double, double &, double &)
| Set the saturation and its derivative in function of the pressure.
double(* | kr )(double)
| Return the relative conductivity in function of the pressure.
double(* | dkr )(double)
| Return the derivtive of the relative conductivity in function of the pressure.
void(* | kr_dkr )(double, double &, double &)
| Set the relative conductivity and its derivative in function of the pressure.
double | model_datas [6]
| Datas used to define the model.

## Detailed Description

The Physics class contains all physical parameters characterising the soil.

Definition at line 24 of file physics.hpp.

The documentation for this class was generated from the following file:

- src/physics.hpp